{
  "name": "yili-dag",
  "version": "0.1.0",
  "description": "YLDAG extension.",
  "keywords": [
    "jupyter",
    "jupyterlab",
    "jupyterlab-extension"
  ],
  "homepage": "",
  "license": "MIT",
  "author": "yili",
  "sideEffects": [
    "style/**/*.css",
    "style/index.js"
  ],
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "style": "style/index.css",
  "directories": {
    "lib": "lib/"
  },
  "files": [
    "lib/**/*.{d.ts,eot,gif,html,jpg,js,js.map,json,png,svg,woff2,ttf}",
    "style/**/*.{css,js,eot,gif,html,jpg,json,png,svg,woff2,ttf}",
    "schema/*.json"
  ],
  "scripts": {
    "build": "tsc -b",
    "clean": "rimraf lib && rimraf tsconfig.tsbuildinfo",
    "docs": "typedoc src",
    "watch": "tsc -b --watch"
  },
  "dependencies": {
    "@ant-design/icons": "~4.7.0",
    "@antv/x6": "latest",
    "@antv/x6-react-components": "^1.1.15",
    "@antv/x6-react-shape": "^1.6.1",
    "@jupyterlab/application": "^3.4.3",
    "@jupyterlab/apputils": "^3.4.3",
    "@jupyterlab/docregistry": "^3.4.3",
    "@jupyterlab/filebrowser": "^3.4.3",
    "@jupyterlab/mainmenu": "^3.4.3",
    "@jupyterlab/settingregistry": "^3.4.3",
    "@jupyterlab/ui-components": "^3.4.3",
    "@lumino/signaling": "^1.10.0",
    "@mui/material": "^5.8.1",
    "antd": "^4.22.8",
    "axios": "^0.27.2",
    "canvas": "^2.6.1",
    "codemirror": "~5.61.0",
    "copy-to-clipboard": "^3.3.2",
    "nanoid": "~4.0.0",
    "react": "^17.0.1",
    "react-dom": "^17.0.1",
    "styled-components": "^5.3.5"
  },
  "devDependencies": {
    "@babel/core": "^7.10.2",
    "@babel/preset-env": "^7.10.2",
    "@jupyterlab/builder": "^3.4.3",
    "@jupyterlab/testutils": "^3.4.3",
    "@types/jest": "^26.0.10",
    "@typescript-eslint/eslint-plugin": "^4.8.1",
    "@typescript-eslint/parser": "^4.8.1",
    "eslint": "^7.14.0",
    "eslint-config-prettier": "^6.15.0",
    "eslint-plugin-prettier": "^3.1.4",
    "jest": "^26.4.2",
    "npm-run-all": "^4.1.5",
    "prettier": "~2.1.1",
    "rimraf": "~3.0.0",
    "stylelint": "^14.3.0",
    "stylelint-config-prettier": "^9.0.3",
    "stylelint-config-recommended": "^6.0.0",
    "stylelint-config-standard": "~24.0.0",
    "stylelint-prettier": "^2.0.0",
    "ts-jest": "^26.3.0",
    "typescript": "~4.1.3"
  },
  "publishConfig": {
    "access": "public"
  },
  "jupyterlab": {
    "extension": true,
    "schemaDir": "schema"
  },
  "styleModule": "style/index.js"
}